com.amazonaws.services.simpleworkflow.model

## Class ActivityTaskFailedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ActivityTaskFailedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActivityTaskFailedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ActivityTaskFailed` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActivityTaskFailedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActivityTaskFailedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getDetails()` The details of the failure (if any).
`String` `getReason()` The reason provided for the failure (if any).
`Long` `getScheduledEventId()` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`Long` `getStartedEventId()` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.
`int` `hashCode()`
`void` `setDetails(String details)` The details of the failure (if any).
`void` `setReason(String reason)` The reason provided for the failure (if any).
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`void` `setStartedEventId(Long startedEventId)` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivityTaskFailedEventAttributes` `withDetails(String details)` The details of the failure (if any).
`ActivityTaskFailedEventAttributes` `withReason(String reason)` The reason provided for the failure (if any).
`ActivityTaskFailedEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`ActivityTaskFailedEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivityTaskFailedEventAttributes

    public ActivityTaskFailedEventAttributes()

### Method Detail

#### setReason

    public void setReason(String reason)

The reason provided for the failure (if any).

Parameters:
  `reason` - The reason provided for the failure (if any).

#### getReason

    public String getReason()

The reason provided for the failure (if any).

Returns:
  The reason provided for the failure (if any).

#### withReason

    public ActivityTaskFailedEventAttributes withReason(String reason)

The reason provided for the failure (if any).

Parameters:
  `reason` - The reason provided for the failure (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDetails

    public void setDetails(String details)

The details of the failure (if any).

Parameters:
  `details` - The details of the failure (if any).

#### getDetails

    public String getDetails()

The details of the failure (if any).

Returns:
  The details of the failure (if any).

#### withDetails

    public ActivityTaskFailedEventAttributes withDetails(String details)

The details of the failure (if any).

Parameters:
  `details` - The details of the failure (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public ActivityTaskFailedEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withStartedEventId

    public ActivityTaskFailedEventAttributes withStartedEventId(Long startedEventId)

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActivityTaskFailedEventAttributes clone()

Overrides:
  `clone` in class `Object`